Makefile 42 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_sepermit/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2007 Thorsten Kukuk <kukuk@thkukuk.de>
  13. # Copyright (c) 2008, 2009 Red Hat, Inc.
  14. #
  15. am__is_gnu_make = { \
  16. if test -z '$(MAKELEVEL)'; then \
  17. false; \
  18. elif test -n '$(MAKE_HOST)'; then \
  19. true; \
  20. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  21. true; \
  22. else \
  23. false; \
  24. fi; \
  25. }
  26. am__make_running_with_option = \
  27. case $${target_option-} in \
  28. ?) ;; \
  29. *) echo "am__make_running_with_option: internal error: invalid" \
  30. "target option '$${target_option-}' specified" >&2; \
  31. exit 1;; \
  32. esac; \
  33. has_opt=no; \
  34. sane_makeflags=$$MAKEFLAGS; \
  35. if $(am__is_gnu_make); then \
  36. sane_makeflags=$$MFLAGS; \
  37. else \
  38. case $$MAKEFLAGS in \
  39. *\\[\ \ ]*) \
  40. bs=\\; \
  41. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  42. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  43. esac; \
  44. fi; \
  45. skip_next=no; \
  46. strip_trailopt () \
  47. { \
  48. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  49. }; \
  50. for flg in $$sane_makeflags; do \
  51. test $$skip_next = yes && { skip_next=no; continue; }; \
  52. case $$flg in \
  53. *=*|--*) continue;; \
  54. -*I) strip_trailopt 'I'; skip_next=yes;; \
  55. -*I?*) strip_trailopt 'I';; \
  56. -*O) strip_trailopt 'O'; skip_next=yes;; \
  57. -*O?*) strip_trailopt 'O';; \
  58. -*l) strip_trailopt 'l'; skip_next=yes;; \
  59. -*l?*) strip_trailopt 'l';; \
  60. -[dEDm]) skip_next=yes;; \
  61. -[JT]) skip_next=yes;; \
  62. esac; \
  63. case $$flg in \
  64. *$$target_option*) has_opt=yes; break;; \
  65. esac; \
  66. done; \
  67. test $$has_opt = yes
  68. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  69. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  70. pkgdatadir = $(datadir)/Linux-PAM
  71. pkgincludedir = $(includedir)/Linux-PAM
  72. pkglibdir = $(libdir)/Linux-PAM
  73. pkglibexecdir = $(libexecdir)/Linux-PAM
  74. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  75. install_sh_DATA = $(install_sh) -c -m 644
  76. install_sh_PROGRAM = $(install_sh) -c
  77. install_sh_SCRIPT = $(install_sh) -c
  78. INSTALL_HEADER = $(INSTALL_DATA)
  79. transform = $(program_transform_name)
  80. NORMAL_INSTALL = :
  81. PRE_INSTALL = :
  82. POST_INSTALL = :
  83. NORMAL_UNINSTALL = :
  84. PRE_UNINSTALL = :
  85. POST_UNINSTALL = :
  86. build_triplet = x86_64-pc-linux-gnu
  87. host_triplet = arm-unknown-linux-gnueabihf
  88. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  89. subdir = modules/pam_sepermit
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  92. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  93. $(top_srcdir)/m4/intlmacosx.m4 \
  94. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  95. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  96. $(top_srcdir)/m4/ld-no-undefined.m4 \
  97. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  98. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  99. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  100. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  103. $(top_srcdir)/m4/progtest.m4 \
  104. $(top_srcdir)/m4/warn_lang_flags.m4 \
  105. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  106. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107. $(ACLOCAL_M4)
  108. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  109. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  110. $(am__DIST_COMMON)
  111. mkinstalldirs = $(install_sh) -d
  112. CONFIG_HEADER = $(top_builddir)/config.h
  113. CONFIG_CLEAN_FILES =
  114. CONFIG_CLEAN_VPATH_FILES =
  115. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  116. am__vpath_adj = case $$p in \
  117. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  118. *) f=$$p;; \
  119. esac;
  120. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  121. am__install_max = 40
  122. am__nobase_strip_setup = \
  123. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  124. am__nobase_strip = \
  125. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  126. am__nobase_list = $(am__nobase_strip_setup); \
  127. for p in $$list; do echo "$$p $$p"; done | \
  128. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  129. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  130. if (++n[$$2] == $(am__install_max)) \
  131. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  132. END { for (dir in files) print dir, files[dir] }'
  133. am__base_list = \
  134. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  135. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  136. am__uninstall_files_from_dir = { \
  137. test -z "$$files" \
  138. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  139. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  140. $(am__cd) "$$dir" && rm -f $$files; }; \
  141. }
  142. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  143. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"
  144. LTLIBRARIES = $(securelib_LTLIBRARIES)
  145. pam_sepermit_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  146. pam_sepermit_la_SOURCES = pam_sepermit.c
  147. pam_sepermit_la_OBJECTS = pam_sepermit.lo
  148. AM_V_lt = $(am__v_lt_$(V))
  149. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  150. am__v_lt_0 = --silent
  151. am__v_lt_1 =
  152. pam_sepermit_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  153. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  154. $(AM_CFLAGS) $(CFLAGS) $(pam_sepermit_la_LDFLAGS) $(LDFLAGS) \
  155. -o $@
  156. AM_V_P = $(am__v_P_$(V))
  157. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  158. am__v_P_0 = false
  159. am__v_P_1 = :
  160. AM_V_GEN = $(am__v_GEN_$(V))
  161. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  162. am__v_GEN_0 = @echo " GEN " $@;
  163. am__v_GEN_1 =
  164. AM_V_at = $(am__v_at_$(V))
  165. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  166. am__v_at_0 = @
  167. am__v_at_1 =
  168. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  169. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  170. am__maybe_remake_depfiles = depfiles
  171. am__depfiles_remade = ./$(DEPDIR)/pam_sepermit.Plo
  172. am__mv = mv -f
  173. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  174. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  175. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  176. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  177. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  178. $(AM_CFLAGS) $(CFLAGS)
  179. AM_V_CC = $(am__v_CC_$(V))
  180. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  181. am__v_CC_0 = @echo " CC " $@;
  182. am__v_CC_1 =
  183. CCLD = $(CC)
  184. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  185. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  186. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  187. AM_V_CCLD = $(am__v_CCLD_$(V))
  188. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  189. am__v_CCLD_0 = @echo " CCLD " $@;
  190. am__v_CCLD_1 =
  191. SOURCES = pam_sepermit.c
  192. DIST_SOURCES = pam_sepermit.c
  193. am__can_run_installinfo = \
  194. case $$AM_UPDATE_INFO_DIR in \
  195. n|no|NO) false;; \
  196. *) (install-info --version) >/dev/null 2>&1;; \
  197. esac
  198. man5dir = $(mandir)/man5
  199. man8dir = $(mandir)/man8
  200. NROFF = nroff
  201. MANS = $(dist_man_MANS)
  202. am__dist_noinst_DATA_DIST = README
  203. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA)
  204. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  205. # Read a list of newline-separated strings from the standard input,
  206. # and print each of them once, without duplicates. Input order is
  207. # *not* preserved.
  208. am__uniquify_input = $(AWK) '\
  209. BEGIN { nonempty = 0; } \
  210. { items[$$0] = 1; nonempty = 1; } \
  211. END { if (nonempty) { for (i in items) print i; }; } \
  212. '
  213. # Make sure the list of sources is unique. This is necessary because,
  214. # e.g., the same source file might be shared among _SOURCES variables
  215. # for different programs/libraries.
  216. am__define_uniq_tagged_files = \
  217. list='$(am__tagged_files)'; \
  218. unique=`for i in $$list; do \
  219. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  220. done | $(am__uniquify_input)`
  221. ETAGS = etags
  222. CTAGS = ctags
  223. am__tty_colors_dummy = \
  224. mgn= red= grn= lgn= blu= brg= std=; \
  225. am__color_tests=no
  226. am__tty_colors = { \
  227. $(am__tty_colors_dummy); \
  228. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  229. am__color_tests=no; \
  230. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  231. am__color_tests=yes; \
  232. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  233. am__color_tests=yes; \
  234. fi; \
  235. if test $$am__color_tests = yes; then \
  236. red=''; \
  237. grn=''; \
  238. lgn=''; \
  239. blu=''; \
  240. mgn=''; \
  241. brg=''; \
  242. std=''; \
  243. fi; \
  244. }
  245. am__recheck_rx = ^[ ]*:recheck:[ ]*
  246. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  247. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  248. # A command that, given a newline-separated list of test names on the
  249. # standard input, print the name of the tests that are to be re-run
  250. # upon "make recheck".
  251. am__list_recheck_tests = $(AWK) '{ \
  252. recheck = 1; \
  253. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  254. { \
  255. if (rc < 0) \
  256. { \
  257. if ((getline line2 < ($$0 ".log")) < 0) \
  258. recheck = 0; \
  259. break; \
  260. } \
  261. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  262. { \
  263. recheck = 0; \
  264. break; \
  265. } \
  266. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  267. { \
  268. break; \
  269. } \
  270. }; \
  271. if (recheck) \
  272. print $$0; \
  273. close ($$0 ".trs"); \
  274. close ($$0 ".log"); \
  275. }'
  276. # A command that, given a newline-separated list of test names on the
  277. # standard input, create the global log from their .trs and .log files.
  278. am__create_global_log = $(AWK) ' \
  279. function fatal(msg) \
  280. { \
  281. print "fatal: making $@: " msg | "cat >&2"; \
  282. exit 1; \
  283. } \
  284. function rst_section(header) \
  285. { \
  286. print header; \
  287. len = length(header); \
  288. for (i = 1; i <= len; i = i + 1) \
  289. printf "="; \
  290. printf "\n\n"; \
  291. } \
  292. { \
  293. copy_in_global_log = 1; \
  294. global_test_result = "RUN"; \
  295. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  296. { \
  297. if (rc < 0) \
  298. fatal("failed to read from " $$0 ".trs"); \
  299. if (line ~ /$(am__global_test_result_rx)/) \
  300. { \
  301. sub("$(am__global_test_result_rx)", "", line); \
  302. sub("[ ]*$$", "", line); \
  303. global_test_result = line; \
  304. } \
  305. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  306. copy_in_global_log = 0; \
  307. }; \
  308. if (copy_in_global_log) \
  309. { \
  310. rst_section(global_test_result ": " $$0); \
  311. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  312. { \
  313. if (rc < 0) \
  314. fatal("failed to read from " $$0 ".log"); \
  315. print line; \
  316. }; \
  317. printf "\n"; \
  318. }; \
  319. close ($$0 ".trs"); \
  320. close ($$0 ".log"); \
  321. }'
  322. # Restructured Text title.
  323. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  324. # Solaris 10 'make', and several other traditional 'make' implementations,
  325. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  326. # by disabling -e (using the XSI extension "set +e") if it's set.
  327. am__sh_e_setup = case $$- in *e*) set +e;; esac
  328. # Default flags passed to test drivers.
  329. am__common_driver_flags = \
  330. --color-tests "$$am__color_tests" \
  331. --enable-hard-errors "$$am__enable_hard_errors" \
  332. --expect-failure "$$am__expect_failure"
  333. # To be inserted before the command running the test. Creates the
  334. # directory for the log if needed. Stores in $dir the directory
  335. # containing $f, in $tst the test, in $log the log. Executes the
  336. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  337. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  338. # will run the test scripts (or their associated LOG_COMPILER, if
  339. # thy have one).
  340. am__check_pre = \
  341. $(am__sh_e_setup); \
  342. $(am__vpath_adj_setup) $(am__vpath_adj) \
  343. $(am__tty_colors); \
  344. srcdir=$(srcdir); export srcdir; \
  345. case "$@" in \
  346. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  347. *) am__odir=.;; \
  348. esac; \
  349. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  350. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  351. if test -f "./$$f"; then dir=./; \
  352. elif test -f "$$f"; then dir=; \
  353. else dir="$(srcdir)/"; fi; \
  354. tst=$$dir$$f; log='$@'; \
  355. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  356. am__enable_hard_errors=no; \
  357. else \
  358. am__enable_hard_errors=yes; \
  359. fi; \
  360. case " $(XFAIL_TESTS) " in \
  361. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  362. am__expect_failure=yes;; \
  363. *) \
  364. am__expect_failure=no;; \
  365. esac; \
  366. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  367. # A shell command to get the names of the tests scripts with any registered
  368. # extension removed (i.e., equivalently, the names of the test logs, with
  369. # the '.log' extension removed). The result is saved in the shell variable
  370. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  371. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  372. # since that might cause problem with VPATH rewrites for suffix-less tests.
  373. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  374. am__set_TESTS_bases = \
  375. bases='$(TEST_LOGS)'; \
  376. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  377. bases=`echo $$bases`
  378. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  379. RECHECK_LOGS = $(TEST_LOGS)
  380. AM_RECURSIVE_TARGETS = check recheck
  381. TEST_SUITE_LOG = test-suite.log
  382. TEST_EXTENSIONS = .test
  383. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  384. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  385. am__set_b = \
  386. case '$@' in \
  387. */*) \
  388. case '$*' in \
  389. */*) b='$*';; \
  390. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  391. esac;; \
  392. *) \
  393. b='$*';; \
  394. esac
  395. am__test_logs1 = $(TESTS:=.log)
  396. am__test_logs2 = $(am__test_logs1:.log=.log)
  397. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  398. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  399. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  400. $(TEST_LOG_FLAGS)
  401. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  402. $(top_srcdir)/build-aux/depcomp \
  403. $(top_srcdir)/build-aux/test-driver
  404. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  405. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  406. AMTAR = $${TAR-tar}
  407. AM_DEFAULT_VERBOSITY = 1
  408. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  409. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  410. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  411. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  412. AWK = gawk
  413. BROWSER =
  414. BUILD_CFLAGS =
  415. BUILD_CPPFLAGS =
  416. BUILD_LDFLAGS =
  417. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  418. CCDEPMODE = depmode=gcc3
  419. CC_FOR_BUILD = gcc
  420. CFLAGS = -g -O2
  421. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  422. CPPFLAGS =
  423. CRYPTO_LIBS =
  424. CRYPT_CFLAGS =
  425. CRYPT_LIBS = -lcrypt
  426. CYGPATH_W = echo
  427. DEFS = -DHAVE_CONFIG_H
  428. DEPDIR = .deps
  429. DLLTOOL = false
  430. DSYMUTIL =
  431. DUMPBIN = :
  432. ECHO_C =
  433. ECHO_N = -n
  434. ECHO_T =
  435. ECONF_CFLAGS =
  436. ECONF_LIBS =
  437. EGREP = /bin/grep -E
  438. EXEEXT =
  439. EXE_CFLAGS = -fpie
  440. EXE_LDFLAGS = -pie -Wl,-z,now
  441. FGREP = /bin/grep -F
  442. FO2PDF =
  443. GETTEXT_MACRO_VERSION = 0.18
  444. GMSGFMT = /usr/bin/msgfmt
  445. GMSGFMT_015 = /usr/bin/msgfmt
  446. GREP = /bin/grep
  447. INSTALL = /usr/bin/install -c
  448. INSTALL_DATA = ${INSTALL} -m 644
  449. INSTALL_PROGRAM = ${INSTALL}
  450. INSTALL_SCRIPT = ${INSTALL}
  451. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  452. INTLLIBS =
  453. INTL_MACOSX_LIBS =
  454. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  455. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  456. LEX = flex
  457. LEXLIB = -lfl
  458. LEX_OUTPUT_ROOT = lex.yy
  459. LIBAUDIT =
  460. LIBCRYPT = -lcrypt
  461. LIBDB =
  462. LIBDL = -ldl
  463. LIBICONV = -liconv
  464. LIBINTL =
  465. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  466. LIBPRELUDE_CFLAGS =
  467. LIBPRELUDE_CONFIG = no
  468. LIBPRELUDE_CONFIG_PREFIX =
  469. LIBPRELUDE_LDFLAGS =
  470. LIBPRELUDE_LIBS =
  471. LIBPRELUDE_PREFIX =
  472. LIBPRELUDE_PTHREAD_CFLAGS =
  473. LIBS =
  474. LIBSELINUX =
  475. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  476. LIPO =
  477. LN_S = ln -s
  478. LTLIBICONV = -liconv
  479. LTLIBINTL =
  480. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  481. LT_SYS_LIBRARY_PATH =
  482. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  483. MANIFEST_TOOL = :
  484. MKDIR_P = /bin/mkdir -p
  485. MSGFMT = /usr/bin/msgfmt
  486. MSGFMT_015 = /usr/bin/msgfmt
  487. MSGMERGE = /usr/bin/msgmerge
  488. NIS_CFLAGS =
  489. NIS_LIBS =
  490. NM = nm
  491. NMEDIT =
  492. NSL_CFLAGS =
  493. NSL_LIBS = -lnsl
  494. OBJDUMP = objdump
  495. OBJEXT = o
  496. OTOOL =
  497. OTOOL64 =
  498. PACKAGE = Linux-PAM
  499. PACKAGE_BUGREPORT =
  500. PACKAGE_NAME = Linux-PAM
  501. PACKAGE_STRING = Linux-PAM 1.5.2
  502. PACKAGE_TARNAME = Linux-PAM
  503. PACKAGE_URL =
  504. PACKAGE_VERSION = 1.5.2
  505. PATH_SEPARATOR = :
  506. PKG_CONFIG = /usr/bin/pkg-config
  507. PKG_CONFIG_LIBDIR =
  508. PKG_CONFIG_PATH =
  509. POSUB = po
  510. RANLIB = ranlib
  511. SCONFIGDIR = ${prefix}/etc/security
  512. SECUREDIR = ${exec_prefix}/lib/security
  513. SED = /bin/sed
  514. SET_MAKE =
  515. SHELL = /bin/bash
  516. STRINGPARAM_HMAC =
  517. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  518. STRIP = strip
  519. TIRPC_CFLAGS =
  520. TIRPC_LIBS =
  521. USE_NLS = yes
  522. VERSION = 1.5.2
  523. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  524. XGETTEXT = /usr/bin/xgettext
  525. XGETTEXT_015 = /usr/bin/xgettext
  526. XGETTEXT_EXTRA_OPTIONS =
  527. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  528. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  529. XML_CATALOG_FILE = /etc/xml/catalog
  530. XSLTPROC = /usr/bin/xsltproc
  531. YACC = bison -y
  532. YFLAGS =
  533. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_sepermit
  534. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_sepermit
  535. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  536. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  537. ac_ct_AR =
  538. ac_ct_CC =
  539. ac_ct_DUMPBIN = link -dump
  540. am__include = include
  541. am__leading_dot = .
  542. am__quote =
  543. am__tar = $${TAR-tar} chof - "$$tardir"
  544. am__untar = $${TAR-tar} xf -
  545. bindir = ${exec_prefix}/bin
  546. build = x86_64-pc-linux-gnu
  547. build_alias =
  548. build_cpu = x86_64
  549. build_os = linux-gnu
  550. build_vendor = pc
  551. builddir = .
  552. datadir = ${datarootdir}
  553. datarootdir = ${prefix}/share
  554. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  555. dvidir = ${docdir}
  556. exec_prefix = ${prefix}
  557. host = arm-unknown-linux-gnueabihf
  558. host_alias = arm-linux-gnueabihf
  559. host_cpu = arm
  560. host_os = linux-gnueabihf
  561. host_vendor = unknown
  562. htmldir = ${docdir}
  563. includedir = ${prefix}/include
  564. infodir = ${datarootdir}/info
  565. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  566. libdir = ${exec_prefix}/lib
  567. libexecdir = ${exec_prefix}/libexec
  568. localedir = ${datarootdir}/locale
  569. localstatedir = ${prefix}/var
  570. mandir = ${datarootdir}/man
  571. mkdir_p = $(MKDIR_P)
  572. oldincludedir = /usr/include
  573. pam_xauth_path = /usr/bin/xauth
  574. pdfdir = ${docdir}
  575. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  576. program_transform_name = s,x,x,
  577. psdir = ${docdir}
  578. sbindir = ${exec_prefix}/sbin
  579. sharedstatedir = ${prefix}/com
  580. srcdir = .
  581. sysconfdir = ${prefix}/etc
  582. systemdunitdir =
  583. target_alias =
  584. top_build_prefix = ../../
  585. top_builddir = ../..
  586. top_srcdir = ../..
  587. CLEANFILES = *~
  588. MAINTAINERCLEANFILES = $(MANS) README
  589. EXTRA_DIST = $(XMLS)
  590. #dist_man_MANS = pam_sepermit.8 sepermit.conf.5
  591. XMLS = README.xml pam_sepermit.8.xml sepermit.conf.5.xml
  592. dist_check_SCRIPTS = tst-pam_sepermit
  593. TESTS = $(dist_check_SCRIPTS)
  594. securelibdir = $(SECUREDIR)
  595. secureconfdir = $(SCONFIGDIR)
  596. sepermitlockdir = ${localstatedir}/run/sepermit
  597. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  598. -I$(top_srcdir)/libpam_misc/include \
  599. -D SEPERMIT_CONF_FILE=\"$(SCONFIGDIR)/sepermit.conf\" \
  600. -D SEPERMIT_LOCKDIR=\"$(sepermitlockdir)\" $(WARN_CFLAGS)
  601. pam_sepermit_la_LIBADD = $(top_builddir)/libpam/libpam.la
  602. pam_sepermit_la_LDFLAGS = -no-undefined -avoid-version -module \
  603. $(am__append_1)
  604. dist_secureconf_DATA = sepermit.conf
  605. securelib_LTLIBRARIES = pam_sepermit.la
  606. #dist_noinst_DATA = README
  607. all: all-am
  608. .SUFFIXES:
  609. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  610. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  611. @for dep in $?; do \
  612. case '$(am__configure_deps)' in \
  613. *$$dep*) \
  614. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  615. && { if test -f $@; then exit 0; else break; fi; }; \
  616. exit 1;; \
  617. esac; \
  618. done; \
  619. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_sepermit/Makefile'; \
  620. $(am__cd) $(top_srcdir) && \
  621. $(AUTOMAKE) --gnu modules/pam_sepermit/Makefile
  622. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  623. @case '$?' in \
  624. *config.status*) \
  625. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  626. *) \
  627. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  628. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  629. esac;
  630. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  631. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  632. $(top_srcdir)/configure: $(am__configure_deps)
  633. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  634. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  635. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  636. $(am__aclocal_m4_deps):
  637. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  638. @$(NORMAL_INSTALL)
  639. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  640. list2=; for p in $$list; do \
  641. if test -f $$p; then \
  642. list2="$$list2 $$p"; \
  643. else :; fi; \
  644. done; \
  645. test -z "$$list2" || { \
  646. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  647. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  648. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  649. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  650. }
  651. uninstall-securelibLTLIBRARIES:
  652. @$(NORMAL_UNINSTALL)
  653. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  654. for p in $$list; do \
  655. $(am__strip_dir) \
  656. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  657. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  658. done
  659. clean-securelibLTLIBRARIES:
  660. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  661. @list='$(securelib_LTLIBRARIES)'; \
  662. locs=`for p in $$list; do echo $$p; done | \
  663. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  664. sort -u`; \
  665. test -z "$$locs" || { \
  666. echo rm -f $${locs}; \
  667. rm -f $${locs}; \
  668. }
  669. pam_sepermit.la: $(pam_sepermit_la_OBJECTS) $(pam_sepermit_la_DEPENDENCIES) $(EXTRA_pam_sepermit_la_DEPENDENCIES)
  670. $(AM_V_CCLD)$(pam_sepermit_la_LINK) -rpath $(securelibdir) $(pam_sepermit_la_OBJECTS) $(pam_sepermit_la_LIBADD) $(LIBS)
  671. mostlyclean-compile:
  672. -rm -f *.$(OBJEXT)
  673. distclean-compile:
  674. -rm -f *.tab.c
  675. include ./$(DEPDIR)/pam_sepermit.Plo # am--include-marker
  676. $(am__depfiles_remade):
  677. @$(MKDIR_P) $(@D)
  678. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  679. am--depfiles: $(am__depfiles_remade)
  680. .c.o:
  681. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  682. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  683. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  684. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  685. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  686. .c.obj:
  687. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  688. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  689. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  690. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  691. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  692. .c.lo:
  693. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  694. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  695. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  696. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  697. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  698. mostlyclean-libtool:
  699. -rm -f *.lo
  700. clean-libtool:
  701. -rm -rf .libs _libs
  702. install-man5: $(dist_man_MANS)
  703. @$(NORMAL_INSTALL)
  704. @list1=''; \
  705. list2='$(dist_man_MANS)'; \
  706. test -n "$(man5dir)" \
  707. && test -n "`echo $$list1$$list2`" \
  708. || exit 0; \
  709. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  710. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  711. { for i in $$list1; do echo "$$i"; done; \
  712. if test -n "$$list2"; then \
  713. for i in $$list2; do echo "$$i"; done \
  714. | sed -n '/\.5[a-z]*$$/p'; \
  715. fi; \
  716. } | while read p; do \
  717. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  718. echo "$$d$$p"; echo "$$p"; \
  719. done | \
  720. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  721. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  722. sed 'N;N;s,\n, ,g' | { \
  723. list=; while read file base inst; do \
  724. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  725. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  726. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  727. fi; \
  728. done; \
  729. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  730. while read files; do \
  731. test -z "$$files" || { \
  732. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  733. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  734. done; }
  735. uninstall-man5:
  736. @$(NORMAL_UNINSTALL)
  737. @list=''; test -n "$(man5dir)" || exit 0; \
  738. files=`{ for i in $$list; do echo "$$i"; done; \
  739. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  740. sed -n '/\.5[a-z]*$$/p'; \
  741. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  742. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  743. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  744. install-man8: $(dist_man_MANS)
  745. @$(NORMAL_INSTALL)
  746. @list1=''; \
  747. list2='$(dist_man_MANS)'; \
  748. test -n "$(man8dir)" \
  749. && test -n "`echo $$list1$$list2`" \
  750. || exit 0; \
  751. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  752. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  753. { for i in $$list1; do echo "$$i"; done; \
  754. if test -n "$$list2"; then \
  755. for i in $$list2; do echo "$$i"; done \
  756. | sed -n '/\.8[a-z]*$$/p'; \
  757. fi; \
  758. } | while read p; do \
  759. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  760. echo "$$d$$p"; echo "$$p"; \
  761. done | \
  762. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  763. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  764. sed 'N;N;s,\n, ,g' | { \
  765. list=; while read file base inst; do \
  766. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  767. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  768. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  769. fi; \
  770. done; \
  771. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  772. while read files; do \
  773. test -z "$$files" || { \
  774. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  775. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  776. done; }
  777. uninstall-man8:
  778. @$(NORMAL_UNINSTALL)
  779. @list=''; test -n "$(man8dir)" || exit 0; \
  780. files=`{ for i in $$list; do echo "$$i"; done; \
  781. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  782. sed -n '/\.8[a-z]*$$/p'; \
  783. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  784. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  785. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  786. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  787. @$(NORMAL_INSTALL)
  788. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  789. if test -n "$$list"; then \
  790. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  791. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  792. fi; \
  793. for p in $$list; do \
  794. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  795. echo "$$d$$p"; \
  796. done | $(am__base_list) | \
  797. while read files; do \
  798. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  799. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  800. done
  801. uninstall-dist_secureconfDATA:
  802. @$(NORMAL_UNINSTALL)
  803. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  804. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  805. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  806. ID: $(am__tagged_files)
  807. $(am__define_uniq_tagged_files); mkid -fID $$unique
  808. tags: tags-am
  809. TAGS: tags
  810. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  811. set x; \
  812. here=`pwd`; \
  813. $(am__define_uniq_tagged_files); \
  814. shift; \
  815. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  816. test -n "$$unique" || unique=$$empty_fix; \
  817. if test $$# -gt 0; then \
  818. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  819. "$$@" $$unique; \
  820. else \
  821. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  822. $$unique; \
  823. fi; \
  824. fi
  825. ctags: ctags-am
  826. CTAGS: ctags
  827. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  828. $(am__define_uniq_tagged_files); \
  829. test -z "$(CTAGS_ARGS)$$unique" \
  830. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  831. $$unique
  832. GTAGS:
  833. here=`$(am__cd) $(top_builddir) && pwd` \
  834. && $(am__cd) $(top_srcdir) \
  835. && gtags -i $(GTAGS_ARGS) "$$here"
  836. cscopelist: cscopelist-am
  837. cscopelist-am: $(am__tagged_files)
  838. list='$(am__tagged_files)'; \
  839. case "$(srcdir)" in \
  840. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  841. *) sdir=$(subdir)/$(srcdir) ;; \
  842. esac; \
  843. for i in $$list; do \
  844. if test -f "$$i"; then \
  845. echo "$(subdir)/$$i"; \
  846. else \
  847. echo "$$sdir/$$i"; \
  848. fi; \
  849. done >> $(top_builddir)/cscope.files
  850. distclean-tags:
  851. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  852. # Recover from deleted '.trs' file; this should ensure that
  853. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  854. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  855. # to avoid problems with "make -n".
  856. .log.trs:
  857. rm -f $< $@
  858. $(MAKE) $(AM_MAKEFLAGS) $<
  859. # Leading 'am--fnord' is there to ensure the list of targets does not
  860. # expand to empty, as could happen e.g. with make check TESTS=''.
  861. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  862. am--force-recheck:
  863. @:
  864. $(TEST_SUITE_LOG): $(TEST_LOGS)
  865. @$(am__set_TESTS_bases); \
  866. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  867. redo_bases=`for i in $$bases; do \
  868. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  869. done`; \
  870. if test -n "$$redo_bases"; then \
  871. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  872. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  873. if $(am__make_dryrun); then :; else \
  874. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  875. fi; \
  876. fi; \
  877. if test -n "$$am__remaking_logs"; then \
  878. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  879. "recursion detected" >&2; \
  880. elif test -n "$$redo_logs"; then \
  881. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  882. fi; \
  883. if $(am__make_dryrun); then :; else \
  884. st=0; \
  885. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  886. for i in $$redo_bases; do \
  887. test -f $$i.trs && test -r $$i.trs \
  888. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  889. test -f $$i.log && test -r $$i.log \
  890. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  891. done; \
  892. test $$st -eq 0 || exit 1; \
  893. fi
  894. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  895. ws='[ ]'; \
  896. results=`for b in $$bases; do echo $$b.trs; done`; \
  897. test -n "$$results" || results=/dev/null; \
  898. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  899. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  900. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  901. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  902. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  903. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  904. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  905. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  906. success=true; \
  907. else \
  908. success=false; \
  909. fi; \
  910. br='==================='; br=$$br$$br$$br$$br; \
  911. result_count () \
  912. { \
  913. if test x"$$1" = x"--maybe-color"; then \
  914. maybe_colorize=yes; \
  915. elif test x"$$1" = x"--no-color"; then \
  916. maybe_colorize=no; \
  917. else \
  918. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  919. fi; \
  920. shift; \
  921. desc=$$1 count=$$2; \
  922. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  923. color_start=$$3 color_end=$$std; \
  924. else \
  925. color_start= color_end=; \
  926. fi; \
  927. echo "$${color_start}# $$desc $$count$${color_end}"; \
  928. }; \
  929. create_testsuite_report () \
  930. { \
  931. result_count $$1 "TOTAL:" $$all "$$brg"; \
  932. result_count $$1 "PASS: " $$pass "$$grn"; \
  933. result_count $$1 "SKIP: " $$skip "$$blu"; \
  934. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  935. result_count $$1 "FAIL: " $$fail "$$red"; \
  936. result_count $$1 "XPASS:" $$xpass "$$red"; \
  937. result_count $$1 "ERROR:" $$error "$$mgn"; \
  938. }; \
  939. { \
  940. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  941. $(am__rst_title); \
  942. create_testsuite_report --no-color; \
  943. echo; \
  944. echo ".. contents:: :depth: 2"; \
  945. echo; \
  946. for b in $$bases; do echo $$b; done \
  947. | $(am__create_global_log); \
  948. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  949. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  950. if $$success; then \
  951. col="$$grn"; \
  952. else \
  953. col="$$red"; \
  954. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  955. fi; \
  956. echo "$${col}$$br$${std}"; \
  957. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  958. echo "$${col}$$br$${std}"; \
  959. create_testsuite_report --maybe-color; \
  960. echo "$$col$$br$$std"; \
  961. if $$success; then :; else \
  962. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  963. if test -n "$(PACKAGE_BUGREPORT)"; then \
  964. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  965. fi; \
  966. echo "$$col$$br$$std"; \
  967. fi; \
  968. $$success || exit 1
  969. check-TESTS: $(dist_check_SCRIPTS)
  970. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  971. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  972. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  973. @set +e; $(am__set_TESTS_bases); \
  974. log_list=`for i in $$bases; do echo $$i.log; done`; \
  975. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  976. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  977. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  978. exit $$?;
  979. recheck: all $(dist_check_SCRIPTS)
  980. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  981. @set +e; $(am__set_TESTS_bases); \
  982. bases=`for i in $$bases; do echo $$i; done \
  983. | $(am__list_recheck_tests)` || exit 1; \
  984. log_list=`for i in $$bases; do echo $$i.log; done`; \
  985. log_list=`echo $$log_list`; \
  986. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  987. am__force_recheck=am--force-recheck \
  988. TEST_LOGS="$$log_list"; \
  989. exit $$?
  990. tst-pam_sepermit.log: tst-pam_sepermit
  991. @p='tst-pam_sepermit'; \
  992. b='tst-pam_sepermit'; \
  993. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  994. --log-file $$b.log --trs-file $$b.trs \
  995. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  996. "$$tst" $(AM_TESTS_FD_REDIRECT)
  997. .test.log:
  998. @p='$<'; \
  999. $(am__set_b); \
  1000. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1001. --log-file $$b.log --trs-file $$b.trs \
  1002. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1003. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1004. #.test$(EXEEXT).log:
  1005. # @p='$<'; \
  1006. # $(am__set_b); \
  1007. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1008. # --log-file $$b.log --trs-file $$b.trs \
  1009. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1010. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1011. distdir: $(BUILT_SOURCES)
  1012. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1013. distdir-am: $(DISTFILES)
  1014. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1015. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1016. list='$(DISTFILES)'; \
  1017. dist_files=`for file in $$list; do echo $$file; done | \
  1018. sed -e "s|^$$srcdirstrip/||;t" \
  1019. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1020. case $$dist_files in \
  1021. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1022. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1023. sort -u` ;; \
  1024. esac; \
  1025. for file in $$dist_files; do \
  1026. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1027. if test -d $$d/$$file; then \
  1028. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1029. if test -d "$(distdir)/$$file"; then \
  1030. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1031. fi; \
  1032. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1033. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1034. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1035. fi; \
  1036. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1037. else \
  1038. test -f "$(distdir)/$$file" \
  1039. || cp -p $$d/$$file "$(distdir)/$$file" \
  1040. || exit 1; \
  1041. fi; \
  1042. done
  1043. check-am: all-am
  1044. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1045. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1046. check: check-am
  1047. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1048. installdirs:
  1049. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"; do \
  1050. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1051. done
  1052. install: install-am
  1053. install-exec: install-exec-am
  1054. install-data: install-data-am
  1055. uninstall: uninstall-am
  1056. install-am: all-am
  1057. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1058. installcheck: installcheck-am
  1059. install-strip:
  1060. if test -z '$(STRIP)'; then \
  1061. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1062. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1063. install; \
  1064. else \
  1065. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1066. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1067. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1068. fi
  1069. mostlyclean-generic:
  1070. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1071. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1072. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1073. clean-generic:
  1074. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1075. distclean-generic:
  1076. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1077. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1078. maintainer-clean-generic:
  1079. @echo "This command is intended for maintainers to use"
  1080. @echo "it deletes files that may require special tools to rebuild."
  1081. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1082. clean: clean-am
  1083. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1084. mostlyclean-am
  1085. distclean: distclean-am
  1086. -rm -f ./$(DEPDIR)/pam_sepermit.Plo
  1087. -rm -f Makefile
  1088. distclean-am: clean-am distclean-compile distclean-generic \
  1089. distclean-tags
  1090. dvi: dvi-am
  1091. dvi-am:
  1092. html: html-am
  1093. html-am:
  1094. info: info-am
  1095. info-am:
  1096. install-data-am: install-data-local install-dist_secureconfDATA \
  1097. install-man install-securelibLTLIBRARIES
  1098. install-dvi: install-dvi-am
  1099. install-dvi-am:
  1100. install-exec-am:
  1101. install-html: install-html-am
  1102. install-html-am:
  1103. install-info: install-info-am
  1104. install-info-am:
  1105. install-man: install-man5 install-man8
  1106. install-pdf: install-pdf-am
  1107. install-pdf-am:
  1108. install-ps: install-ps-am
  1109. install-ps-am:
  1110. installcheck-am:
  1111. maintainer-clean: maintainer-clean-am
  1112. -rm -f ./$(DEPDIR)/pam_sepermit.Plo
  1113. -rm -f Makefile
  1114. maintainer-clean-am: distclean-am maintainer-clean-generic
  1115. mostlyclean: mostlyclean-am
  1116. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1117. mostlyclean-libtool
  1118. pdf: pdf-am
  1119. pdf-am:
  1120. ps: ps-am
  1121. ps-am:
  1122. uninstall-am: uninstall-dist_secureconfDATA uninstall-man \
  1123. uninstall-securelibLTLIBRARIES
  1124. uninstall-man: uninstall-man5 uninstall-man8
  1125. .MAKE: check-am install-am install-strip
  1126. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1127. check-am clean clean-generic clean-libtool \
  1128. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1129. distclean distclean-compile distclean-generic \
  1130. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1131. html-am info info-am install install-am install-data \
  1132. install-data-am install-data-local install-dist_secureconfDATA \
  1133. install-dvi install-dvi-am install-exec install-exec-am \
  1134. install-html install-html-am install-info install-info-am \
  1135. install-man install-man5 install-man8 install-pdf \
  1136. install-pdf-am install-ps install-ps-am \
  1137. install-securelibLTLIBRARIES install-strip installcheck \
  1138. installcheck-am installdirs maintainer-clean \
  1139. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1140. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1141. recheck tags tags-am uninstall uninstall-am \
  1142. uninstall-dist_secureconfDATA uninstall-man uninstall-man5 \
  1143. uninstall-man8 uninstall-securelibLTLIBRARIES
  1144. .PRECIOUS: Makefile
  1145. install-data-local:
  1146. mkdir -p $(DESTDIR)$(sepermitlockdir)
  1147. #-include $(top_srcdir)/Make.xml.rules
  1148. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1149. # Otherwise a system limit (for SysV at least) may be exceeded.
  1150. .NOEXPORT: